API ReferenceBroadcasts
Get detailed analytics for a broadcast
Authorization
api-key X-API-Key<token>
In: header
Path Parameters
id*string
Broadcast UUID
Response Body
application/json
curl -X GET "https://example.com/api/v1/broadcasts/string/analytics"{ "stats": { "sent": 1200, "delivered": 1180, "uniqueOpens": 340, "totalOpens": 890, "machineOpens": 210, "clicked": 90, "bounced": 110, "hardBounces": 20, "softBounces": 90, "unsubscribed": 5, "openRate": 28.33, "clickRate": 7.5, "clickToOpenRate": 26.47, "deliveryRate": 98.33, "hardBounceRate": 1.67, "unsubRate": 0.42, "mppAffected": 210 }, "engagementOverTime": [ { "hoursAfterSend": 0, "opens": 120, "clicks": 12 } ], "deliveryFunnel": [ { "stage": "Sent", "count": 1200 } ], "clicksByDevice": [ { "device": "Mobile", "count": 65, "pct": 72.22 } ], "topLinks": [ { "url": "https://example.com/promo", "totalClicks": 45, "uniqueClicks": 38 } ]}